Install Copy2Contact For BlackBerry

Go to copy2contact.com/bb/install in your BlackBerry browser now to install.

Requirements:

Any modern BlackBerry device with OS software version 4.2.1 or later.
e.g. BlackBerry Pearl, Curve, Bold, Storm, Tour, etc.